#pragma once
#include "Mod.h"

class AntiBot : public Mod {
public:
	bool checkName = true;
	bool checkSize = true;
	bool checkType = true;
	bool checkInvisible = false;

	AntiBot() : Mod("Anti Bot", "Detects and skips bots.", Category::COMBAT) {
		settings.push_back(new Setting{ _("Check Name"), &checkName, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Check Size"), &checkSize, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Check Type"), &checkType, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Check Invisible"), &checkInvisible, 0, 0, 0, {}, true });

		enabled = true;
		visible = false;
	}
};
